Bug 818193 - ClassCastException after process start with Oracle 11g
ClassCastException after process start with Oracle 11g
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: BRMS 5.3.0.GA
Assigned To: Shelly McGowan
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 08:22 EDT by Jiri Locker
Modified: 2016-09-20 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Oracle 11g R2
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
defaultPackage.SimpleProcess.bpmn2 (7.86 KB, application/xml)
2012-05-02 08:22 EDT, Jiri Locker
no flags Details
defaultPackage.SimpleProcess.png (15.89 KB, image/png)
2012-05-02 08:24 EDT, Jiri Locker
no flags Details
server.log (269.11 KB, text/plain)
2012-05-02 08:25 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-05-02 08:22:29 EDT
Created attachment 581598 [details]
defaultPackage.SimpleProcess.bpmn2

Description of problem:
See attached process diagram. When the process is started the LogStart script task is executed (the output can be found in server log) and after that, an exception occurs:

> java.lang.ClassCastException: org.jbpm.persistence.processinstance.BlobUserType$BlobImpl cannot be cast to oracle.sql.BLOB

MyTask is not listed in Personal Tasks and the process cannot be completed.

See attached server log for full exception stack trace and all the related error messages.

Version-Release number of selected component (if applicable):
ER6

How reproducible:
with Oracle 11g R2

Steps to Reproduce:
1. configure the persistence unit used by gwt-console-server.war to use Oracle 11g database
2. start the server, import defaultPackage.SimpleProcess.bpmn2 into Guvnor and build defaultPackage
3. start SimpleProcess in jbpm-console
  
Actual results:
see description

Expected results:
the exception should not occur

Additional info:
Comment 1 Jiri Locker 2012-05-02 08:24:10 EDT
Created attachment 581599 [details]
defaultPackage.SimpleProcess.png
Comment 2 Jiri Locker 2012-05-02 08:25:10 EDT
Created attachment 581601 [details]
server.log
Comment 3 Marco Rietveld 2012-05-04 11:09:51 EDT
It seems like the problem is related to 
- https://hibernate.onjira.com/browse/EJB-24

The solution proposed there isn't applicable (I think), but it's a good start.
Comment 4 Marco Rietveld 2012-05-04 15:34:56 EDT
I've pushed the fix for this to the community 5.2.x branch. 

See https://github.com/droolsjbpm/jbpm/commit/c1f829c38031866b4805a6c5486d0d4ac49ad153 for more information.
Comment 5 Ryan Zhang 2012-05-14 04:16:13 EDT
The fixed for this issue should be included in ER7. Please do verification on it.

Note You need to log in before you can comment on or make changes to this bug.